Query Result

Retrieve metadata for a past vectorization task by its ID. The ID is returned in the id field of the vectorize response.

Quick Reference

GET/api/v1/result/{id}https://api.veclify.com

Authentication

Include an Authorization header with your API key:

Authorization: Bearer vf_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

Obtain an API key from the API Keys page.

Query Result GET /api/v1/result/{id}

Request

MethodGET
Base URLhttps://api.veclify.com
AuthBearer Token

Path Parameters

ParameterTypeDescription
{id}stringConversion ID from the vectorize response (e.g. vec_m4x8k2_ab3f2k)

Response Fields (200 OK)

FieldTypeDescription
idstringConversion task ID
original_namestringOriginal uploaded filename
file_sizeintegerUploaded file size in bytes
created_atstringISO 8601 timestamp of when the conversion was created
notestringInformational note about SVG content availability

Example Response (200)

{
  "id": "vec_m4x8k2_ab3f2k",
  "original_name": "logo.png",
  "file_size": 245760,
  "created_at": "2026-08-06T10:15:30.000Z",
  "note": "Full SVG content available from POST /api/v1/vectorize response. This endpoint returns metadata only."
}

Code Examples

cURL

curl -X GET https://api.veclify.com/api/v1/result/vec_m4x8k2_ab3f2k \
  -H "Authorization: Bearer vf_YOUR_API_KEY"

# Response:
# {
#   "id": "vec_m4x8k2_ab3f2k",
#   "original_name": "logo.png",
#   "file_size": 245760,
#   "created_at": "2026-08-06T10:15:30.000Z",
#   "note": "Full SVG content available from POST /api/v1/vectorize response..."
# }

Python

import requests

task_id = "vec_m4x8k2_ab3f2k"
url = f"https://api.veclify.com/api/v1/result/{task_id}"
headers = {"Authorization": "Bearer vf_YOUR_API_KEY"}

resp = requests.get(url, headers=headers)
record = resp.json()

print(f"File: {record['original_name']}")
print(f"Size: {record['file_size']} bytes")
print(f"Created: {record['created_at']}")

Node.js / TypeScript

const taskId = "vec_m4x8k2_ab3f2k";
const res = await fetch(
  `https://api.veclify.com/api/v1/result/${taskId}`,
  { headers: { Authorization: "Bearer vf_YOUR_API_KEY" } }
);

const record = await res.json();
console.log(`File: ${record.original_name}, Created: ${record.created_at}`);

Rate Limits

PlanRate LimitCreditsConcurrency
Pro / LifetimeUnlimitedN/A (unlimited)No restriction
FreePer-second burst protection1 credit per vectorization1 concurrent request